# hdnom  <a href="https://nanx.me/hdnom/"><img src="https://i.imgur.com/i4ksNHx.png" align="right" alt="logo" height="180" width="180" /></a>

[![Build Status](https://travis-ci.org/nanxstats/hdnom.svg?branch=master)](https://travis-ci.org/nanxstats/hdnom)
[![AppVeyor Build Status](https://ci.appveyor.com/api/projects/status/github/nanxstats/hdnom?branch=master&svg=true)](https://ci.appveyor.com/project/nanxstats/hdnom)
[![CRAN Version](https://www.r-pkg.org/badges/version/hdnom)](https://cran.r-project.org/package=hdnom)
[![Downloads from the RStudio CRAN mirror](https://cranlogs.r-pkg.org/badges/hdnom)](https://cranlogs.r-pkg.org/badges/hdnom)

`hdnom` creates nomogram visualizations for penalized Cox regression models, with the support of reproducible survival model building, validation, calibration, and comparison for high-dimensional data.

## Installation

To download and install `hdnom` from CRAN:

```r
install.packages("hdnom")
```

Or try the development version on GitHub:

```r
# install.packages("devtools")
devtools::install_github("nanxstats/hdnom")
```

Browse [the vignettes](https://nanx.me/hdnom/articles/) to start.

## Gallery

### Nomogram Visualization / Kaplan-Meier Plot with Number at Risk Table

<img src="https://i.imgur.com/EK0mr4t.png" width="100%" alt="hdnom-nomogram-kmplot">

### Model Validation / Model Calibration

<img src="https://i.imgur.com/VE3Dhkd.png" width="100%" alt="hdnom-validation-calibration">

### Model Comparison by Validation / Calibration

<img src="https://i.imgur.com/Ep8tinv.png" width="100%" alt="hdnom-compare">

## Links

* Documentation: [https://nanx.me/hdnom/](https://nanx.me/hdnom/)
* Shiny app: [http://hdnom.io](http://hdnom.io)
* App maker: [https://github.com/nanxstats/hdnom-appmaker](https://github.com/nanxstats/hdnom-appmaker)

## Contribute

To contribute to this project, please take a look at the [Contributing Guidelines](https://github.com/nanxstats/hdnom/blob/master/CONTRIBUTING.md) first. Please note that this project is released with a [Contributor Code of Conduct](https://github.com/nanxstats/hdnom/blob/master/CONDUCT.md). By participating in this project you agree to abide by its terms.
